NXTRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class NXTRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.NXTRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class NXTRecord
      extends Record

  Next name - this record contains the following name in an ordered list of names in the zone, and a set of types for which records exist for this name. The presence of this record in a response signifies a failed query for data in a DNSSEC-signed zone.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NXTRecord(Name name, int dclass, long ttl, Name next, BitSet bitmap)` Creates an NXT Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BitSet` | `getBitmap()` Returns the set of types defined for this name
    `Name` | `getNext()` Returns the next name

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NXTRecord

          public NXTRecord(Name name,
                   int dclass,
                   long ttl,
                   Name next,
                   BitSet bitmap)

      Creates an NXT Record from the given data
      Parameters:
        `next` - The following name in an ordered list of the zone
        `bitmap` - The set of type for which records exist at this name

  - ### Method Detail

    - #### getNext

          public Name getNext()

      Returns the next name

    - #### getBitmap

          public BitSet getBitmap()

      Returns the set of types defined for this name